@echo off

:: ---- Check that %GSDL3HOME% is set ----
if not "%GSDL3HOME%" == "" goto start
    echo You need to run gs3-setup.bat before running this file
    goto exit

:start
:: ---- Make sure we have the current GSDL3 (also prunes empty directories) ----
cvs update -dRP

:: ---- Check out MGPP ----
cd %GSDL3HOME%\packages
cvs checkout mgpp

:: ---- Unpack Tomcat and rename folder ----
echo Unpacking Tomcat...
cd %GSDL3HOME%\comms\jakarta
"%GSDL3HOME%\winutil\gunzip.exe" tomcat-4.1.24.tar.gz
"%GSDL3HOME%\winutil\tar.exe" xf tomcat-4.1.24.tar
ren jakarta-tomcat-4.1.24 tomcat
del tomcat-4.1.24.tar

:: ---- Edit the Tomcat setclasspath script to add our classpath ----
echo Fixing setclasspath.bat...
cd %GSDL3HOME%\comms\jakarta\tomcat\bin
ren setclasspath.bat setclasspath.bat.orig
"%GSDL3HOME%\winutil\sed.exe" 's,set CLASSPATH=,set CLASSPATH=%%CLASSPATH%%;,' setclasspath.bat.orig > setclasspath.bat

:: ---- Unpack the sample collections ----
echo Unpacking sample collections...
cd %GSDL3HOME%\web\sites\localsite\collect

cd chinesedemo\index
"%GSDL3HOME%\winutil\gunzip.exe" indexfiles.tgz
"%GSDL3HOME%\winutil\tar.exe" xf indexfiles.tar
del indexfiles.tar
cd ..\..

cd demo\index
"%GSDL3HOME%\winutil\gunzip.exe" indexfiles.tgz
"%GSDL3HOME%\winutil\tar.exe" xf indexfiles.tar
del indexfiles.tar
cd ..\..

cd gberg\index
"%GSDL3HOME%\winutil\gunzip.exe" indexfiles.tgz
"%GSDL3HOME%\winutil\tar.exe" xf indexfiles.tar
del indexfiles.tar
cd ..\..

cd mgppdemo\index
"%GSDL3HOME%\winutil\gunzip.exe" indexfiles.tgz
"%GSDL3HOME%\winutil\tar.exe" xf indexfiles.tar
del indexfiles.tar
cd ..\..

cd %GSDL3HOME%

:exit
